%define _root_sbindir	/sbin

Name:           btrfs-progs
Version:        0.19
Release:        %mkrel 1
Summary:        Userspace programs for btrfs

Group:          System/Kernel and hardware
License:        GPLv2
URL:            http://btrfs.wiki.kernel.org/index.php/Main_Page
Source0:        http://www.kernel.org/pub/linux/kernel/people/mason/btrfs/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

BuildRequires:  e2fsprogs-devel
BuildRequires:  libuuid-devel
BuildRequires:  zlib1-devel
BuildRequires:  acl-devel

%description
The btrfs-progs package provides all the userpsace programs needed to create,
check, modify and correct any inconsistencies in the btrfs filesystem.

%prep
%setup -q

%build
%make CFLAGS="%{optflags}"
# for btrfs-convert
%make convert CFLAGS="%{optflags}"

%install
%makeinstall bindir=%{buildroot}/%{_root_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING INSTALL
%{_root_sbindir}/btrfsctl
%{_root_sbindir}/btrfsck
%{_root_sbindir}/mkfs.btrfs
%{_root_sbindir}/btrfs-debug-tree
%{_root_sbindir}/btrfs-show
%{_root_sbindir}/btrfs-vol
%{_root_sbindir}/btrfs-convert
%{_mandir}/man8/btrfs-image.8*
%{_mandir}/man8/btrfs-show.8*
%{_mandir}/man8/btrfsck.8*
%{_mandir}/man8/btrfsctl.8*
%{_mandir}/man8/mkfs.btrfs.8*


%changelog
* Tue Aug 04 2009 Frederik Himpe <fhimpe@mandriva.org> 0.19-1mdv2010.0
+ Revision: 409532
- Update to new version 0.19
- Use Mandriva %%optflags

* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.18-3mdv2010.0
+ Revision: 409062
- updated buildrequires for libuuid
- rebuild with new libuuid

* Sat Jun 13 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.18-2mdv2010.0
+ Revision: 385760
- Added missing BuildRequires for btrfs-convert.
- Added btrfs-convert (#51617)

* Fri May 01 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.18-1mdv2010.0
+ Revision: 369208
- Added BuildRequires on zlib1-devel.
- import btrfs-progs


* Thu Apr 30 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.18-1
- Initial version.
